Bug 310051 - XEN-API (xml-rpc server) does not listen even when (xen-api-server ((9363 'none' '' )(unix none))) is in /etc/xen/xend-config.sxp
XEN-API (xml-rpc server) does not listen even when (xen-api-server ((9363 'no...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2007-09-27 17:41 EDT by daniel miles
Modified: 2009-12-14 16:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-28 10:48:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description daniel miles 2007-09-27 17:41:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20061201 Firefox/ (Ubuntu-feisty)

Description of problem:
The first thing I notice is that the version number in the package name seems to contradict with what "xm info" says. The package suggests that it is xen 3.0.3 but xm info suggests that it is 3.1.0 (xm info output at bottom).

The bug I'm reporting (assuming that this is version 3.1.0) is that the XML-RPC server does not come on when I add the line:
(xen-api-server ((9363 'none' '' )(unix none)))
to /etc/xen/xend-config.sxp and restart xend.

[root@jamisia ~]# xm info
host                   : jamisia.m8t
release                : 2.6.18-47.el5xen
version                : #1 SMP Tue Sep 11 18:00:36 EDT 2007
machine                : x86_64
nr_cpus                : 4
nr_nodes               : 1
sockets_per_node       : 2
cores_per_socket       : 2
threads_per_core       : 1
cpu_mhz                : 2666
hw_caps                : bfebfbff:20000800:00000000:00000140:0004e3bd:00000000:00000001
total_memory           : 16381
free_memory            : 2093
xen_major              : 3
xen_minor              : 1
xen_extra              : .0-47.el5
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 hvm-3.0-x86_32p hvm-3.0-x86_64
xen_pagesize           : 4096
platform_params        : virt_start=0xffff800000000000
xen_changeset          : unavailable
cc_compiler            : gcc version 4.1.1 20070105 (Red Hat 4.1.1-52)
cc_compile_by          : brewbuilder
cc_compile_domain      : build.redhat.com
cc_compile_date        : Tue Sep 11 17:43:00 EDT 2007
xend_config_format     : 2

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Edit /etc/xen/xend-config.sxp
2. Add the line: (xen-api-server ((9363 'none' '' )(unix none)))
3. Run: xend stop
4. Try to run "xm list" you should get an error if xend is really stopped
5. Run: xend start
6. Try to run "xm list" you should get a listing of virtual machines if xend is really started
7. Notice (through netstat or by trying to connect) that nothing is listening on port 9363

Actual Results:
Nothing listens on port 9363

Expected Results:
Xen-API server should listen on port 9363

Additional info:
Comment 1 Don Domingo 2007-09-28 01:23:09 EDT
reassigning this to component Xen, as "Virtualization" refers to the
Virtualization Guide. 
Comment 2 Daniel Berrange 2007-09-28 10:48:13 EDT
The Xen userspace is based on 3.0.3, while the hypervisor is based on 3.1.0. 
There is no Xen-API  in 3.0.3, hence adding a (xen-api-server) line in the
config will have no effect. libvirt is the primary supported API for managing
virtual machines  in RHEL.

Comment 3 Martine Silbermann 2007-09-28 11:00:07 EDT
Are you planning to support Xen-API in 5.2?
Comment 4 Daniel Berrange 2007-09-28 11:24:19 EDT
Supporting XenAPI would require re-basing the Xen userspace to a newer version,
which is not something we can do in an update, since it will result in user
visible API changes/breakage. So there is no intention to support XenAPI in any
RHEL-5 update.

Note You need to log in before you can comment on or make changes to this bug.